## Unattended update script for Ubuntu 22.04 and 24.04 server.

### Prerequisites
Ubuntu 22.04 or higher server.

> **IMPORTANT**
>
> This will configure unattended updates with the following.\
> Update packages\
> Update security packages\
> Remove unused depencies same as apt autoremove\
> Reboot if needed even with users logged on\
> Create a crontab entry to run updates every Saturday at 04:00

### Download the script
```
git clone https://git.x-files.dk/ubuntu-server/unattended-updates.git
```

### Usage
    cd unattended-updates
    sudo ./configure-updates

### Postinstall
Nothing to do.

### More guides
More guides can be found on [\[wiki.x-files.dk\]](https://wiki.x-files.dk)

### Last tested
November 8th 2024 on Ubuntu 24.04.
